:root {
  --primary: #baac1d;
  --sub_text_color: #0000ff;
  --bg_light: #f1f1f1;
  --bg_main: #fff;
  --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
}

body {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  background: var(--bg_light);
  color: black;
}
.container {
  width: 90%;
  max-width: 1900px;
  margin: auto;
  min-height: calc(100vh - 58px);
}
.text_light {
  color: #777;
}

.btn {
  border-radius: 10px;
  line-height: 2rem;
  cursor: pointer;
}
/**********************header**************************************/

.page-header {
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row; /**flex**/
  background: #f1f1f1;
  z-index: 100;
}

.header_text {
  color: var(--primary);
  font-family: 'curlz MT';
}

.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  }

.header_subtext {
  color: var(--sub_text_color);
}

.menu-btn {
  cursor: pointer;
  position: absolute;
  top: 40px;
  right: 30px;
  z-index: 2;
  display: none;
}



/*********************navigation-sidebar-desktop************************/
nav.sidebar {
  width: 200px;
  height: 100%;
  padding: 30px 0px;
  position: fixed;
  z-index: 10;
}
.sidebar ul li {
  padding: 12px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  border-top: 1px solid rgba(255, 255, 255, 0.05);
  list-style: none;
}

ul li a {
  display: block;
  text-decoration: none;
  font-size: 1rem;
  color: #777;
  min-height: calc(100vh - 211px -58px);
}

ul li a:hover {
  color: #2d3034;
}

ul li a .fa-caret-down {
  margin-left: 1em;
}

.sidebar ul li:hover {
  background-color: var(--bg_main);
  width: 100%;
  overflow: hidden;
}

/********************dropdown in sidebar*********************/
ul li .dropdown_content {
  display: none;
}
ul li:hover .dropdown_content {
  display: block;
  padding-left: 0px;
}

ul li ul .dropdown_content li {
  display: block;
}

/*** Text styles Frank*********/
.Stil3 {
  color: var(--primary);
  font-size: 120%;
}
.Stil6 {
  font-size: x-large;
  font-weight: bold;
  color: #dedfef;
}
.Stil7 {
  color: var(--sub_text_color);
}
.Stil8 {
  color: var(--primary);
  font-weight: bold;
  font-family: 'curlz MT';
}
.Stil9 {
  font-size: xx-large;
}
.Stil10 {
  font-size: small;
}

/*************************************Main Content Section****************/

.main_container {
  margin-left: 210px;
  /* display: grid; grid-gap: 1em; grid-template-columns: 50% repeat(2, 1fr); justify-content: space-between; */
  background: var(--bg_light);
  margin-bottom: 20px;
}

/**section heading**/
.section_heading h2 {
  font-size: 2.5rem;
  font-weight: lighter;
  color: var(--sub_text_color);
  text-align: center;
}

.section_content {
  border-radius: 10px;
  box-shadow: --shadow;
  box-sizing: border-box;
  margin-bottom: 10px;
  text-align: center;
}

.main_text {
  align-items: center;
  text-align: center;
}

/** for downloads spacing**/
.section_content article ol li {
  padding: 10px;
}

.section_content h3 {
  font-size: 1.5rem;
}

.section_cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
  margin-bottom: 40px;
  /* grid-auto-rows: minmax(min-content, max-content); */
  align-items: center;
  
}
.section_cards .item {
  background-color: var(--bg_light);
  border-radius: 10px;
  box-shadow: var(--shadow);
  padding: 2px 0 2px 2px;
  margin-bottom: 2px;
  text-align: center;
  width: 220px;
  height: 300px;
  margin: 0 auto;
  overflow: hidden;
  /* text-overflow: ellipsis; */
}



.section_cards .item:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.section_cards img {
  /* width: 90; */
  margin-bottom: 10px;
}

.section_cards h3 {
  margin-bottom: 5px;
}

.section_cards a {
  display: block;
  padding-top: 10px;
  color: #0067b8;
  font-weight: lighter;
  margin-left: 5px;
}

.section_cards a:hover i {
  margin-left: 10px;
}

.section_cards ul {
  list-style: none;
}

/* 
.section_cards .item_download .btn {
  line-height: 1.5;
  min-height: 2rem;
  margin-bottom: 20px;
  margin-top: 20px;
} */

/*********************************cookie consent policy******************/
.cookie_consent{
  display: flex;
  flex: 1;
  align-items: center;
  justify-content: center;
   background: #2f3640;
  color: #f5f6fa;
  padding: 0 32px;
  box-shadow: 0 -2px 16px rgba(47, 54, 64, 0.39);
  transition: transform 1s ease-in-out;
  position: fixed;
  top: auto;
  bottom: 0;
  width: 100%;
}

.cookie_consent p {
  margin-right: 15px;
}
.cookie_consent a {
  color: beige;
  text-decoration: underline;
}

.cookie_consent.active {
  transform: translateY(500px);
}




/*****************footer******************/

.footer {
  position: absolute;
  background: #bbb;
  height: 58px;
  width: 100%;
  justify-content: space-around;
  padding-top: 10px;
  display: flex;
  align-items: center;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}
.footer a {
  margin: 0 50px;
}

.footer a:hover {
  color: var(--bg_light);
}

.footer .left_aligned {
  align-items: left;
  
}

.footer .right_aligned {
  align-items: right;
}

/*****************************von A bis Z (from Frank)********************************************/

.Stil1 {
  font-size: large;
}

.Stil4 {
  font-size: medium;
}
.Stil6 {
  font-size: large;
  font-weight: bold;
  color: black;
}
.Stil7 {
  font-size: xx-large;
}
.Stil9 {
  font-size: xx-large;
  font-weight: bold;
}
.Stil11 {
  font-size: large;
  font-weight: bold;
  color: var(--sub_text_color);
}
.Stil12 {
  color: var(--sub_text_color);
  font-size: large;
}
.Stil15 {
  font-size: medium;
  font-style: italic;
}
.Stil16 {
  color: var(--primary);
  font-weight: bold;
}
.Stil17 {
  color: var(--primary);
  font-weight: bold;
  font-size: x-large;
}
.Stil18 {
  font-size: xx-large;
  font-weight: bold;
  color: var(--sub_text_color);
}
.Stil19 {
  color: var(--primary);
  font-weight: bold;
  font-size: large;
}
.Stil22 {
  font-style: italic;
}
.Stil23 {
  font-size: medium;
  font-style: italic;
  font-weight: bold;
}
.Stil24 {
  color: var(--primary);
}
.Stil25 {
  font-size: large;
  color: var(--primary);
}

/******************** Responsive for small screens ******************************/

@media (max-width: 976px) {
  .menu-btn {
    display: block;
    text-align: center;
  }

  .menu-btn:hover {
    opacity: 0.5;
  }

  .stern_logo{
    margin-right: 5em;
    background-size: 80px;
  }

  /* nav .sidebar {
      display: none;
    } */

  .main-nav ul.main-menu {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background: #f2f2f2;
    width: 50%;
    height: 90%;
    border-right: #ccc 1px solid;
    opacity: 0.9;
    padding: 30px;
    transform: translateX(-400px);
    transition: transform 0.5s ease-in-out;
  }

  .show {
    transform: translateX(-20px) !important;
  }

  
  .main-nav ul.main-menu li {
    padding: 10px;
    border-bottom: #ccc solid 1px;
    font-size: 14px;
  }

  .main-nav ul.main-menu li:last-child {
    border-bottom: 0;
  }

  .main_container {
    margin-left: 0px;
  }
  .section_cards {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 586px) {
  .stern_logo {
    display: none;
  }
  .section_cards {
    grid-template-columns: repeat(1, 1fr);
       
  }

  .footer {
    flex-wrap: wrap;
    flex-direction: column;
  }
}
